"""
This migration adds /proc and /sys to ignore for malware scanning
"""


def migrate(migrator, database, fake=False, **kwargs):
    if not fake:
        for ignored_dir in ["/proc", "/sys"]:
            MalwareIgnorePath = migrator.orm["malware_ignore_path"]
            MalwareIgnorePath.get_or_create(path=ignored_dir)


def rollback(migrator, database, fake=False, **kwargs):
    pass
